| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
GaudiConfig.ControlFlow._TestAlgorithm Class Reference
Inheritance diagram for GaudiConfig.ControlFlow._TestAlgorithm:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow._TestAlgorithm:
[legend]

## Public Member Functions
def | __init__ (self, name)
def | __repr__ (self)
def | name (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Private Attributes
| _name

## Detailed Description

Definition at line 217 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow._TestAlgorithm.__init__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 218 of file ControlFlow.py.

218 def __init__(self, name):
219 self._name = name
220
GaudiConfig.ControlFlow._TestAlgorithm.__init__
def __init__(self, name)
Definition: ControlFlow.py:218
GaudiConfig.ControlFlow._TestAlgorithm._name
_name
Definition: ControlFlow.py:219

## Member Function Documentation

def GaudiConfig.ControlFlow._TestAlgorithm.__repr__ | ( |  | self | ) |

Definition at line 221 of file ControlFlow.py.

221 def __repr__(self):
222 return self._name
223
GaudiConfig.ControlFlow._TestAlgorithm.__repr__
def __repr__(self)
Definition: ControlFlow.py:221
GaudiConfig.ControlFlow._TestAlgorithm._name
_name
Definition: ControlFlow.py:219

def GaudiConfig.ControlFlow._TestAlgorithm.name | ( |  | self | ) |

Definition at line 224 of file ControlFlow.py.

224 def name(self):
225 return self._name
226
227
GaudiConfig.ControlFlow._TestAlgorithm._name
_name
Definition: ControlFlow.py:219
GaudiConfig.ControlFlow._TestAlgorithm.name
def name(self)
Definition: ControlFlow.py:224

## Member Data Documentation

GaudiConfig.ControlFlow._TestAlgorithm._name
| private

Definition at line 219 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py